%global eclipse_base	%{_libdir}/eclipse
%global install_loc		%{_datadir}/eclipse/dropins/wtp-sourceediting

Name:			eclipse-wtp-sourceediting
Version:		3.4.0
Release:		0.1.M6%{?dist}
Summary:		WTP Source Editing

Group:			Development/Tools
License:		EPL
URL:			http://www.eclipse.org/projects/project.php?id=webtools.sourceediting

Source0:		%{name}-R%{version}.tar.gz
Source1:		fetch-wtp-sourceediting-using-map.sh

BuildArch: noarch

Patch1:			xml-core-feature.patch
Patch2:			xml-core.patch
Patch3:         fix-jsdt.patch

BuildRequires: eclipse-platform >= 1:3.7.0
BuildRequires: eclipse-pde >= 1:3.7.0
BuildRequires: eclipse-emf >= 2.6.0
BuildRequires: eclipse-emf-xsd >= 2.6.0
BuildRequires: eclipse-gef >= 3.7.0
BuildRequires: eclipse-wtp-common >= 3.3.1

BuildRequires: xerces-j2 >= 2.11.0
BuildRequires: xalan-j2 >= 2.7.1
BuildRequires: xml-commons-apis >= 1.3.4
BuildRequires: xml-commons-resolver >= 1.2
BuildRequires: rhino >= 1.7-0.9.r2

Requires: eclipse-platform >= 1:3.7.0
Requires: eclipse-emf >= 2.6.0
Requires: eclipse-emf-xsd >= 2.6.0
Requires: eclipse-gef >= 3.7.0
Requires: eclipse-wtp-common >= 3.3.1

Requires: xerces-j2 >= 2.11.0
Requires: xalan-j2 >= 2.7.1
Requires: xml-commons-apis >= 1.3.4
Requires: xml-commons-resolver >= 1.2
Requires: rhino >= 1.7-0.9.r2


%description
WTP Source editing tools provide support for editing typical "web" languages
and the mixing of them. XML, XML Schema, XSL, HTML, CSS, DTD, and JSP   
resources, as well as an XML Perspective.

%prep
%setup -q -n eclipse-wtp-sourceediting-R%{version}

#Orbit links
rm -rf orbit
mkdir orbit
pushd orbit
%{__ln_s} %{_javadir}/xalan-j2-serializer.jar
%{__ln_s} %{_javadir}/xerces-j2.jar
%{__ln_s} %{_javadir}/xml-commons-apis.jar
%{__ln_s} %{_javadir}/xml-resolver.jar
%{__ln_s} %{_javadir}/rhino.jar
popd

#Patch XML_CORE feature.xml xerces version
%patch1

#Patch XML_CORE XMLValidator.java for Xerces new version
%patch2

#Add dependency to jsdt (it needs the xml_ui to be built first_
%patch3

#Remove license attributes from feature.xml
find -name feature.xml -exec sed -i -e 's/license-feature.*"//' '{}' \;

%build
eclipse-pdebuild -f org.eclipse.wst.web_ui.feature \
	-d "xsd emf gef eclipse-wtp-common" \
	-o `pwd`/orbit

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.wst.web_ui.feature.zip

#Recreate symlinks & remove duplicate jars
pushd %{buildroot}%{install_loc}/eclipse/plugins
rm -f org.apache.xml.serializer*.jar
rm -f org.apache.xerces*.jar
rm -f javax.xml*.jar
rm -f org.apache.xml.resolver*.jar
rm -f org.mozilla.javascript*.jar

#Remove duplicates because of improper including
rm -f org.eclipse.jem.util*.jar
rm -f org.eclipse.wst.common.*.jar

%{__ln_s} %{_javadir}/xalan-j2-serializer.jar
%{__ln_s} %{_javadir}/xerces-j2.jar
%{__ln_s} %{_javadir}/xml-commons-apis.jar
%{__ln_s} %{_javadir}/xml-resolver.jar
%{__ln_s} %{_javadir}/rhino.jar
popd

%files
%{install_loc}
%doc org.eclipse.wst.doc.user/about.html

%changelog
* Fri Apr 27 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.4.0-0.1.M6
- Update to latest upstream revision (3.4.0 post M6)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 16 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 3.3.1-1
- Update to upstream 3.3.1 

* Mon Sep 19 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 3.3.0-3
- Fixed description length
- Fixed doc file permissions in fetch-wtp-sourceediting.sh

* Thu Sep 15 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 3.3.0-2
- Fixed PDE Build Eclipse plugin dependencies

* Tue Sep 13 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 3.3.0-1
- Initial Fedora package
