#!/bin/bash
set -e

NAME="eclipse-wtp-sourceediting"
VERSION=R3.4.0
TAG=S-3.4.0M6-20120319200442

echo "Exporting from CVS..."
mkdir $NAME-$VERSION
pushd $NAME-$VERSION >/dev/null

MAPFILE=$NAME.map
TEMPMAPFILE=temp.map
wget "http://download.eclipse.org/webtools/downloads/drops/$VERSION/$TAG/directory.txt" -O $MAPFILE 


dos2unix $MAPFILE
grep ^[a-z] $MAPFILE | grep -i "sourceediting" | grep "org.eclipse.wst" | grep -v "test" > $TEMPMAPFILE
grep ^[a-z] $MAPFILE | grep -i "org.eclipse.jsdt" | grep "org.eclipse.wst" | grep -v "test" >> $TEMPMAPFILE
grep ^[a-z] $MAPFILE | grep -i "jeetools" | grep "org.eclipse.wst" | grep -v "test" >> $TEMPMAPFILE
grep ^[a-z] $MAPFILE | grep -i "servertools" | grep "org.eclipse.wst" | grep -v "test" >> $TEMPMAPFILE
exit
gawk 'BEGIN {
	FS=","
}
{
if (NF <  4) {

	split($1, version, "=");
	split(version[1], directory, "@");
	cvsdir=split($2, dirName, ":");
	printf("cvs -d %s%s %s %s %s %s %s\n", ":pserver:anonymous@dev.eclipse.org:", dirName[cvsdir], "-q export -r", version[2], "-d", directory[2], directory[2]) | "/bin/bash";
}
else {

	split($1, version, "=");
	total=split($4, directory, "/");
	cvsdir=split($2, dirName, ":");
	printf("cvs -d %s%s %s %s %s %s %s\n", ":pserver:anonymous@dev.eclipse.org:", dirName[cvsdir], "-q export -r", version[2], "-d", directory[total], $4) | "/bin/bash";
}

}' $TEMPMAPFILE

rm $TEMPMAPFILE $MAPFILE
popd >/dev/null

echo "Creating tarball '$NAME-$VERSION.tar.gz'..."
tar -czf $NAME-$VERSION.tar.gz $NAME-$VERSION
